classification
Title: Get rid of references to PyString in Modules/
Type: enhancement Stage: resolved
Components: Extension Modules Versions: Python 3.4, Python 3.5
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: Nosy List: BreamoreBoy, berker.peksag, serhiy.storchaka
Priority: low Keywords: easy

Created on 2014-12-09 16:05 by berker.peksag, last changed 2015-04-08 15:21 by berker.peksag. This issue is now closed.

Messages (2)
msg232387 - (view) Author: Berker Peksag (berker.peksag) * (Python committer) Date: 2014-12-09 16:05
See issue 22883 for a similar issue.

Modules/_io/_iomodule.h:72:/* Printing a variable of type off_t (with e.g., PyString_FromFormat)
Modules/_json.c:708:    /* Read a JSON array from PyString pystr.
Modules/_json.c:781:    /* Read a JSON constant from PyString pystr.
Modules/_sqlite/connection.h:55:    /* None for autocommit, otherwise a PyString with the isolation level */
Modules/unicodedata.c:482:    /* XXX: could allocate the PyString up front instead
msg238835 - (view) Author: Mark Lawrence (BreamoreBoy) * Date: 2015-03-21 20:50
The only PyString that I could find left is in unicodedata.c.  I'm assuming that there is little point is preparing a patch for a one word change, is this correct?
History
Date User Action Args
2015-04-08 15:21:40berker.peksagsetstatus: open -> closed
resolution: out of date
stage: needs patch -> resolved
2015-03-21 20:50:57BreamoreBoysetnosy: + BreamoreBoy
messages: + msg238835
2014-12-09 16:05:04berker.peksagcreate